<?php

namespace loyalsoft;

/**
 * 玩家神秘商城数据
 * @version
 *          1.0.0 Created at 2017-10-21. by --gwang
 * @author gwang (mail@wanggangzero.cn)
 * @copyright ? 2017-10-21, SJZ LoyalSoft Corporation & gwang. All rights reserved.
 */
class Info_UserSecretshop extends Object_ext
{

    /**
     * @var object {itemid:cishu,itemid:cishu,...} 当前商品列表
     */
    public $currentItems;

    /**
     * @var int 上次刷新时间戳
     */
    public $lastRefreshTs = 0;

    /**
     * @var int 当天付费刷新次数
     */
    public $refreshedTimes = 0;

    /**
     * 构造函数,能够智能提取关联数组或者是object中的字段进行初始化.
     * Ps. 不会进行递归类型检查, php的serilize函数也没有附带字段的类型信息
     */
    function __construct($arg = null)
    {
        if (func_num_args() == 1 && !is_null($arg)) {
            parent::__construct($arg);
        }
        if (is_null($this->currentItems)) {
            $this->currentItems = ObjectInit();
        }
    }

}
